 const byte waterSensor = A1;
 const byte relayPin = 0;
 const byte btnStart = 1;
 
 int avgWater = 0;
 int maxDiff = 100;

void setup() {  
  
  pinMode(btnStart,INPUT);
  digitalWrite(btnStart,HIGH);
  
  pinMode(relayPin,OUTPUT);
  digitalWrite(relayPin,LOW);
  
  pinMode(2,INPUT);
  digitalWrite(2,HIGH);

  for(int x = 0; x < 8 ; x++)
  {
    avgWater += analogRead(waterSensor);
  }  
  
  avgWater /= 8;  
}

void loop() {
  
  int waterDiff = abs(analogRead(waterSensor) - avgWater);
  
  if (digitalRead(btnStart) == LOW)
  {
      digitalWrite(relayPin,HIGH);
  }
  
  if (waterDiff >= maxDiff)
  {
      digitalWrite(relayPin,LOW);      
  }  
  
}


